#
# spec file for package golang-org-x
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         golang
%global repo            debug
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     golang.org/x/debug

Name:           golang-org-x-%{repo}
Version:        0.0.0+git20160621.fb50892
Release:        2.1
Summary:        Debugging tools
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_nostrip}
%{go_provides}

%description
Package debug provides the portable interface to a program being debugged.

%package debugproxy
Summary:        Debugging tools
Group:          Development/Languages/Golang
AutoReqProv:   Off

%{go_exclusivearch}

%description debugproxy
Package debug provides the portable interface to a program being debugged.

%prep
%setup -q -n %{repo}-%{version}
rm -rf tests

%build
%goprep %{import_path}
%gobuild ./...

%install
%goinstall
%gosrc
%gofilelist

%files -f file.lst
%defattr(-,root,root,-)
%doc README LICENSE AUTHORS CONTRIBUTORS

%files debugproxy
%{_bindir}/debugproxy

%changelog
* Thu Feb  9 2017 thipp@suse.de
- Initial commit
